#
# spec file for package libnss_nis
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnss_nis
Version:        3.2
Release:        150000.3.6.1
Summary:        NSS NIS plugin for glibc
License:        LGPL-2.1-only
Group:          System/Libraries
Url:            http://github.com/thkukuk/libnss_nis
Source:         %{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libnsl) >= 1.0.1
BuildRequires:  pkgconfig(libtirpc) >= 1.0.1

%description
The NSS NIS plugin provides NIS support for get*nam() functions from
glibc. This version is IPv6 capable.

%package -n libnss_nis2
Summary:        NSS NIS plugin for glibc
Group:          System/Libraries
Provides:       glibc:/%{_lib}/libnss_nis.so.2

%description -n libnss_nis2
The NSS NIS plugin provides NIS support for get*nam() functions from
glibc. This version is IPv6 capable.

%prep
%setup -q

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}

%install
%make_install
rm -v %{buildroot}/%{_lib}/%{name}.{a,la,so}

%check
make %{?_smp_mflags} check

%post -n libnss_nis2 -p /sbin/ldconfig
%postun -n libnss_nis2 -p /sbin/ldconfig

%files -n libnss_nis2
%license COPYING
/%{_lib}/libnss_nis.so.2*

%changelog
* Fri Jun 30 2023 kukuk@suse.com
- Update to version 3.2
  - Do not call malloc_usable_size [bsc#1207551]
  - Obsoletes libnss_nis-glibc-2.30.patch
* Wed Apr 13 2022 pgajdos@suse.com
- fix [bsc#1197768] - FTBFS: libnss_nis won't compile on SP4
- added patches
  https://github.com/thkukuk/libnss_nis/commit/e9f0f4286d5a923eca1a9c84ff125268d144822e
  + libnss_nis-glibc-2.30.patch
* Fri Feb 23 2018 kukuk@suse.com
- Use %%license [bsc#1082318]
* Thu Jan 25 2018 kukuk@suse.de
- Update to version 3.0
  - get ride of GLIBC_PRIVATE symbols
* Fri Sep 15 2017 kukuk@suse.de
- Filter GLIBC_PRIVATE symbols
* Thu Aug 31 2017 kukuk@suse.de
- Add split provides
* Thu Feb 23 2017 kukuk@suse.de
- Update to version 1.3
  - fix compiler warnings
* Tue Mar 22 2016 kukuk@suse.de
- Update to version 1.2
  - use additional tirpc header files
* Tue Mar 15 2016 kukuk@suse.de
- Add libtirpc-devel to BuildRequires
* Wed Mar  2 2016 kukuk@suse.de
- Update to version 1.1.1
  - add check for unresolved symbols
* Tue Feb 16 2016 kukuk@suse.de
- Update to version 1.1
  - make more glibc independent
* Fri Jun 26 2015 kukuk@suse.com
- Initial version
